Subject: [OSPF] Routing loop , Dennis Ferguson

From: sinbad <[email-masked]>
Date: Wed, 24 Oct 2007 10:47:19 +0530

Hi all,

"The routing loop discovered by Dennis Ferguson which occurs when an
aggregated forwarding address is in use. In this case, the desirability of
the forwarding address 

can change for the worse as a packet crosses an area aggregation boundary on
the way to the forwarding address, which in turn can cause the preference of
AS-external-LSAs 

to change, resulting in a routing loop."

"Can anyone explain how this can actually happen  ...

Thanks

sinbad

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Wed, 24 Oct 2007 06:03:16 -0400

Hi Sinbad,

I assume you are looking at section G.7 in RFC 2178. If the  
forwarding addresses advertised for the same external route by  
routers A1 and B1 are in ranges and the minimum cost is advertised  
for the range, you could have a routing loop between routers A1 and  
B1 (given that we didn't have forwarding address preference either -  
RFC1583Compatibility set to enabled).

On Oct 24, 2007, at 1:17 AM, sinbad wrote:

> Hi all,
>
> “The routing loop discovered by Dennis Ferguson which occurs when  
> an aggregated forwarding address is in use. In this case, the  
> desirability of the forwarding address
>
> can change for the worse as a packet crosses an area aggregation  
> boundary on the way to the forwarding address, which in turn can  
> cause the preference of AS-external-LSAs
>
> to change, resulting in a routing loop.”
>
> “Can anyone explain how this can actually happen  ...
>
>
>
> Thanks
>
> sinbad
>

---

From: sinbad <[email-masked]>
Date: Wed, 24 Oct 2007 16:44:48 +0530

Hi Acee,
Can u tell me in the following topology, where exactly the address ranges
are configured and 
Why A1 thinks B1 is the best path and why B1 thinks A1 is best path. Please
clarify me in little more
detail. 
Thanks
sinbad
                               10.0.0.0/8
                              ----------
                                   |
                                +----+
                                | XX |
                                +----+
                   RIP          /    \        RIP
           ---------------------      --------------------
           !                                             !
           !                                             !
         +----+      +----+       1       +----+......+----+....
         | A3 |------| A1 |---------------| B1 |------| B3 |   .
         +----+   6  +----+               +----+  8   +----+   .
                                           1|  .         /     .
                       OSPF backbone        |  .        /      .
                                          +----+  2    /       .
                                          | B2 |-------  Area A.
                                          +----+................

  _____  

From: Acee Lindem [mailto:[email-masked]] 
Sent: Wednesday, October 24, 2007 3:33 PM
To: sinbad
Cc: [email-masked]
Subject: Re: [OSPF] Routing loop , Dennis Ferguson

Hi Sinbad, 

I assume you are looking at section G.7 in RFC 2178. If the forwarding
addresses advertised for the same external route by routers A1 and B1 are in
ranges and the minimum cost is advertised for the range, you could have a
routing loop between routers A1 and B1 (given that we didn't have forwarding
address preference either - RFC1583Compatibility set to enabled). 

Hi all,

Thanks

sinbad

OSPF mailing list

[email-masked]

---

From: Acee Lindem <[email-masked]>
Date: Wed, 24 Oct 2007 10:26:50 -0400

Obviously, the ABRs (A1, B1, and B3) are advertising the ranges. If  
the lowest cost in the range is advertised as the type 3 LSA cost and  
the range subsumes the forwarding address, then A1's best path could  
be to B3's forwarding address and B1's best path could be through  
A3's forwarding address. Note the respective forwarding addresses are  
XX's interface addresses on the link's to A3 and B3.  If you can't  
see this, try plugging in some prefixes and costs assuming A1 and B1  
have are advertising a loopback address in the range.

Acee

On Oct 24, 2007, at 7:14 AM, sinbad wrote:

>
>
> Hi Acee,
> Can u tell me in the following topology, where exactly the address  
> ranges are configured and
> Why A1 thinks B1 is the best path and why B1 thinks A1 is best  
> path. Please clarify me in little more
> detail.
> Thanks
> sinbad
>                                10.0.0.0/8
>                               ----------
>                                    |
>                                 +----+
>                                 | XX |
>                                 +----+
>                    RIP          /    \        RIP
> B1 (given that we didn't have forwarding address preference either  
> - RFC1583Compatibility set to enabled).
>
>
>